E-MailRelay

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
G::NewProcess::Fd Struct Reference

Wraps up a file descriptor for passing to G::NewProcess. More...

`#include <gnewprocess.h>`

## Public Member Functions
| Fd (bool null_, bool pipe_, int fd_)
bool | operator== (const Fd &other) const
bool | operator!= (const Fd &other) const

## Static Public Member Functions
static Fd | pipe ()
static Fd | devnull ()
static Fd | fd (int fd_)

## Public Attributes
bool | m_null
bool | m_pipe
int | m_fd

## Detailed Description

Wraps up a file descriptor for passing to G::NewProcess.

Definition at line 76 of file gnewprocess.h.

## Constructor & Destructor Documentation

## ◆ Fd()

G::NewProcess::Fd::Fd | ( | bool | null_,
|  | bool | pipe_,
|  | int | fd_
| ) |  |
| inline

Definition at line 81 of file gnewprocess.h.

## Member Function Documentation

## ◆ devnull()

static Fd G::NewProcess::Fd::devnull | ( |  | ) |
| inline static

Definition at line 83 of file gnewprocess.h.

## ◆ fd()

static Fd G::NewProcess::Fd::fd | ( | int | fd_ | ) |
| inline static

Definition at line 84 of file gnewprocess.h.

## ◆ operator!=()

bool G::NewProcess::Fd::operator!= | ( | const Fd & | other | ) | const
| inline

Definition at line 86 of file gnewprocess.h.

## ◆ operator==()

bool G::NewProcess::Fd::operator== | ( | const Fd & | other | ) | const
| inline

Definition at line 85 of file gnewprocess.h.

## ◆ pipe()

static Fd G::NewProcess::Fd::pipe | ( |  | ) |
| inline static

Definition at line 82 of file gnewprocess.h.

## Member Data Documentation

## ◆ m_fd

int G::NewProcess::Fd::m_fd

Definition at line 80 of file gnewprocess.h.

## ◆ m_null

bool G::NewProcess::Fd::m_null

Definition at line 78 of file gnewprocess.h.

## ◆ m_pipe

bool G::NewProcess::Fd::m_pipe

Definition at line 79 of file gnewprocess.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gnewprocess.h